centOS6.5にrubyインストール


※上記の広告は60日以上更新のないWIKIに表示されています。更新することで広告が下部へ移動します。

rbenvをつかって、rubyをインストール
いくつかエラーになったので、メモしておく。


$ rbenv install 2.1.5   (今回は2.1.5のバージョンをインストール)

以下のエラーになった
configure: error: in `/tmp/ruby-build.20141114014058.13004/ruby-2.1.5':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details

gccが無いというエラーらしい

次の要領でインストール
$ sudo yum -y install gcc make wget git radline-devel
(省略)
完了しました!

再度やってみる
$ rbenv install 2.1.5
(省略)
The Ruby openssl extension was not compiled. Missing the OpenSSL lib?

またエラー、OpenSSLが無いらしい

次の要領で、インストール
[vagrant@localhost tmp]$ sudo yum -y install openssl openssl-devel
(省略)
完了しました!


もう一度インストールしてみる
$ rbenv install 2.1.5

Downloading ruby-2.1.5.tar.gz...
Installing ruby-2.1.5...
Installed ruby-2.1.5 to /home/vagrant/.rbenv/versions/2.1.5

$
うまくいったみたいね。